/*
            __
           / /_______________  ____  ___
          / __/ ___/ ___/ __ \/ __ \/ _ \
         / /_(__  ) /__/ /_/ / /_/ /  __/
         \__/____/\___/\____/ .___/\___/
                           /_/
	
	main header file

	By Michael Stevens

	See license.html for copyright information
*/

#ifndef TSCOPE_H
#define TSCOPE_H

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <time.h>
#include <math.h>

#include <allegro.h>

#ifdef ALLEGRO_WINDOWS
#define WIN32_LEAN_AND_MEAN
#include <winalleg.h>
#include <malloc.h>
#include <sys/io.h>
#endif

#ifdef ALLEGRO_LINUX
#include <malloc.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/resource.h>
#include <sys/ioctl.h>
#include <sys/io.h>
#include <linux/rtc.h>
#endif

#ifdef ALLEGRO_MACOSX
#include <malloc/malloc.h>
#include <sys/time.h>
#endif

// libraries needed by tscope_sound2
#include <sndfile.h>
#include <portaudio.h>

typedef struct {
	int sw, sh;
	int w, h;
	BITMAP *b;
} map;

typedef struct {
	int channels;
	int samplerate;
	sf_count_t frames;
	sf_count_t current_frame;
	float *data;
} snd2_sample;

typedef PaStream snd2_stream;

#include "tscope/screen.h"
#include "tscope/coordinates.h"
#include "tscope/random.h"
#include "tscope/textio.h"
#include "tscope/timer.h"
#include "tscope/blit.h"
#include "tscope/sound.h"
#include "tscope/draw.h"
#include "tscope/mouse.h"
#include "tscope/graphics.h"

#include "tscope/sound2.h"

#endif							// TSCOPE_H
