/*
            __
           / /_______________  ____  ___
          / __/ ___/ ___/ __ \/ __ \/ _ \
         / /_(__  ) /__/ /_/ / /_/ /  __/
         \__/____/\___/\____/ .___/\___/
                           /_/
	
	bitmap operations

	By Michael Stevens

	See license.html for copyright information
*/

#ifndef TSCOPE_BLIT_H
#define TSCOPE_BLIT_H

#ifdef __cplusplus
extern "C" {
#endif

	map *ts_makebmp(int w, int h);
	map *ts_readbmp(char *file);
	void ts_killbmp(map * what);
	map *ts_tobmp(map * where);
	void ts_clrbmp(map * what, int color);
	void ts_blit(map * what, int dest_x, int dest_y);
	void ts_partblit(map * what, int src_x1, int src_y1, int src_x2,
					 int src_y2, int dest_x, int dest_y);
	void ts_stretchblit(map * what, float ratio, int dest_x, int dest_y);
	void ts_flipblit(map * what, int flip, int dest_x, int dest_y);
	void ts_rotateblit(map * what, int cx, int cy, float angle, int dest_x,
					   int dest_y);

#ifdef __cplusplus
}
#endif
// kleuren bitmaps
#define TRANS 	-1
#define NONE	-2
// flipped blit modes
#define VFLIP	1
#define HFLIP 	2
#define VHFLIP	3
#endif							//      TSCOPE_BLIT_H
