/*
            __
           / /_______________  ____  ___
          / __/ ___/ ___/ __ \/ __ \/ _ \
         / /_(__  ) /__/ /_/ / /_/ /  __/
         \__/____/\___/\____/ .___/\___/
                           /_/
	
	coordinate system and helper functions

	By Michael Stevens

	See license.html for copyright information
*/

#ifndef TSCOPE_COORDINATES_H
#define TSCOPE_COORDINATES_H

#ifdef __cplusplus
extern "C" {
#endif

	int ts_coordinates(int system);
	int ax(float x);			// relative coordinates to absolute
	int ay(float y);
	int sx(int x);				// euclidic coordinates to screen coordinates
	int sy(int y);
	int cx(int x);				// screen coordinates to cartesian
	int cy(int y);

	void ts_agrid();
	void ts_rgrid();

#ifdef __cplusplus
}
#endif
// coordinates
#define SXMAX	SCREEN_W
#define SYMAX	SCREEN_H
#define XMAX    (SCREEN_W/2)
#define YMAX    (SCREEN_H/2)
// coordinate systems
#define CARTESIAN	1
#define STANDARD	2
#endif							// TSCOPE_COORDINATES_H
