/*
            __
           / /_______________  ____  ___
          / __/ ___/ ___/ __ \/ __ \/ _ \
         / /_(__  ) /__/ /_/ / /_/ /  __/
         \__/____/\___/\____/ .___/\___/
                           /_/
	
	drawing functions

	By Michael Stevens

	See license.html for copyright information
*/

#ifndef TSCOPE_DRAW_H
#define TSCOPE_DRAW_H

#ifdef __cplusplus
extern "C" {
#endif

	int ts_getpixel(int x, int y);
	void ts_putpixel(int x, int y);
	void ts_circle(int x, int y, int radius);
	void ts_line(int x1, int y1, int x2, int y2);
	void ts_hline(int x1, int x2, int y);
	void ts_vline(int x, int y1, int y2);
	void ts_rect(int x1, int y1, int x2, int y2);
	void ts_triangle(int x1, int y1, int x2, int y2, int x3, int y3);
	void ts_polygon(int points, int *xy);
	void ts_arc(int x, int y, int ang1, int ang2, int r);
	void ts_ellipse(int x, int y, int rx, int ry);
	void ts_floodfill(int x, int y);

#ifdef __cplusplus
}
#endif
#endif							//      TSCOPE_DRAW_H
