/*
            __
           / /_______________  ____  ___
          / __/ ___/ ___/ __ \/ __ \/ _ \
         / /_(__  ) /__/ /_/ / /_/ /  __/
         \__/____/\___/\____/ .___/\___/
                           /_/
	
	graphics parameters

	By Michael Stevens

	See license.html for copyright information
*/

#ifndef TSCOPE_GRAPHICS_H
#define TSCOPE_GRAPHICS_H

#ifdef __cplusplus
extern "C" {
#endif

	int ts_bgcolor(int color);
	int ts_fgcolor(int color);
	int ts_textmode(int color);
	int ts_makecolor(int r, int g, int b);
	int ts_makehsvcolor(float h, float s, float v);
	int ts_fill(int mode);
	int ts_font(int type, int size, int style);
	int ts_setfont(int font);
	int ts_loadfont(char *fontfile);

#ifdef __cplusplus
}
#endif

// predefined colors
#define WHITE 	ts_makecolor (255,255,255)
#define BLACK 	ts_makecolor (  0,  0,  0)
#define RED		ts_makecolor (255,  0,  0)
#define GREEN  	ts_makecolor (  0,255,  0)
#define BLUE   	ts_makecolor (  0,  0,255)
#define YELLOW  ts_makecolor (255,255,  0)
#define MAGENTA ts_makecolor (255,  0,255)
#define CYAN   	ts_makecolor (  0,255,255)
#define GRAY 	GREY
#define GREY75 	ts_makecolor (192,192,192)
#define GREY50 	ts_makecolor (128,128,128)
#define GREY25 	ts_makecolor ( 64, 64, 64)

// font values
#define NFONTS 	200
#define ARIAL	1
#define COURIER 2
#define TIMES	3
#define REG	1
#define BOLD 	2
#define IT	3
#define BOLDIT	4
#endif							// TSCOPE_GRAPHICS_H
