/*
            __
           / /_______________  ____  ___
          / __/ ___/ ___/ __ \/ __ \/ _ \
         / /_(__  ) /__/ /_/ / /_/ /  __/
         \__/____/\___/\____/ .___/\___/
                           /_/
	
	some macros for backward compatibility

	By Michael Stevens

	See license.html for copyright information
*/

#ifndef OLDSCOPE_H
#define OLDSCOPE_H

// screen.c --------------------------------------------------------------
#define ts_init ts_init
#define ts_fatal ts_fatal
#define ts_debug ts_debug
#define ts_rate ts_refreshrate
#define ts_depth ts_colordepth
#define ts_size ts_scrsize
#define ts_fullscreen ts_scrmode
#define ts_dbuff ts_doublebuff
#define ts_clrscr ts_clrscr
#define ts_dump ts_scrdump
#define ts_buff ts_tobuff
#define ts_screen ts_toscr
#define ts_clrbuff ts_clrbuff
#define ts_blitbuff ts_blitbuff

#define ACCEL FULLSCREEN_ACCEL
#define SOFT FULLSCREEN

#define TESTRES SIZE0
#define LORES SIZE1
#define MEDRES SIZE2
#define HIRES SIZE3

// graphics.c ------------------------------------------------------------

#define	ts_color ts_bgcolor
#define tg_color ts_fgcolor
#define tg_mix ts_makecolor
#define	tg_fill ts_fill
#define	tg_textmode ts_textmode
#define	tg_font ts_font
#define	tg_setfont ts_setfont
#define tg_font_reset() ts_setfont(0)

#define	WIT WHITE
#define	ZWART BLACK
#define	ROOD RED
#define	GROEN GREEN
#define	BLAUW BLUE
#define	GEEL YELLOW
#define	CYAAN CYAN
#define	GRIJS75 GREY75
#define	GRIJS50 GREY50
#define	GRIJS GREY25

// coordinates.c ---------------------------------------------------------
#define td_agrid ts_agrid
#define td_rgrid ts_rgrid

// textio.c --------------------------------------------------------------
#define tp_text ts_printf
#define tp_centre ts_printf_centre
#define tp_right ts_printf_right
#define tp_justify ts_printf_justify
#define tp_ftext ts_printf
#define tp_fcentre ts_printf_centre
#define tp_fright ts_printf_right
#define tp_fjustify ts_printf_justify
#define tp_length ts_textlength
#define tp_height ts_textheight
#define tp_read ts_scanf
#define tp_fread ts_scanf

// draw.c ----------------------------------------------------------------
#define td_getpixel ts_getpixel
#define td_pixel ts_putpixel
#define td_circle ts_circle
#define td_line ts_line
#define td_vline ts_vline
#define td_hline ts_hline
#define td_rect ts_rect
#define td_triangle ts_triangle
#define td_polygon ts_polygon
#define td_arc ts_arc
#define td_ellipse ts_ellipse
#define td_flood ts_floodfill

// timer.c ---------------------------------------------------------------
#define tt_prio ts_priority
#define tt_time ts_time
#define tt_wait ts_wait

#define tt_defkey ts_defkey
#define tt_hidekey ts_hidekey
#define tt_clrkeys ts_clrkeys
#define tt_flush ts_flushresp
#define tt_monitor ts_respstatus
#define tt_key ts_resp

#define tt_sync ts_vsync
#define tt_multisync ts_vsyncs
#define tt_skey ts_vsyncresp

#define triggerparams ts_settrigger
#define trigger ts_trigger

#define FULL REALTIME
#define MED NORMAL

// random.c --------------------------------------------------------------
#define tr_seed ts_rseed
#define tr_seedfile ts_rseedfile
#define tr_unif ts_runif
#define tr_exp ts_rexp
#define tr_normal ts_rnorm
#define tr_int ts_rint
#define tr_list ts_rlist
#define tr_swlist ts_rslist

// mouse.c ---------------------------------------------------------------
#define tm_rect ts_textbox
#define tm_button ts_button
#define tm_drawmouse ts_drawmouse
#define tm_hidemouse ts_hidemouse
#define tm_xmouse ts_xmouse
#define tm_ymouse ts_ymouse

// blit.c ----------------------------------------------------------------
#define ts_bitmap ts_makebmp
#define ts_filemap ts_readbmp
#define ts_destroy ts_killbmp
#define ts_dest ts_tobmp
#define ts_clear ts_clrbmp
#define ts_blit ts_blit
#define ts_partblit ts_partblit
#define ts_stretchblit ts_stretchblit
#define ts_flipblit ts_flipblit
#define ts_rotateblit ts_rotateblit


// internal.c ------------------------------------------------------------
#define tg_init();
#define ts_font_init();
#define tg_keyb_init();
#define tt_init();
#define tm_init();
#define tr_init();

#endif							// OLDSCOPE_H
