/*
            __
           / /_______________  ____  ___
          / __/ ___/ ___/ __ \/ __ \/ _ \
         / /_(__  ) /__/ /_/ / /_/ /  __/
         \__/____/\___/\____/ .___/\___/
                           /_/
	
	sound

	By Michael Stevens

	See license.html for copyright information
*/

#ifndef TSCOPE_SOUND_H
#define TSCOPE_SOUND_H

#ifdef __cplusplus
extern "C" {
#endif

	SAMPLE *ts_loadsample(char *filename);
	void ts_killsample(SAMPLE * spl);

	int ts_playsample(SAMPLE * spl);
	void ts_adjustsample(SAMPLE * spl);
	void ts_stopsample(SAMPLE * spl);

	AUDIOSTREAM *ts_makestream();
	void ts_killstream(AUDIOSTREAM * stream);
	void ts_updatestream(AUDIOSTREAM * stream);

	void ts_playstream(__int64 time);
	int ts_rtstream(__int64 * time, __int64 * error, __int64 maxtime);

	int ts_volume(int volume);
	int ts_pan(int pan);

	int ts_loop(int loop);

	int ts_sinefreq(int freq);

	int ts_streambufsize(int size);
	int ts_samplerate(int rate);
	unsigned
		char (*ts_streamfunc(unsigned char (*func) (__int64))) (__int64);
	void ts_drawsound();

#ifdef __cplusplus
}
#endif
#define PI 3.14159265
#endif							//      TSCOPE_SOUND_H
